classification
Title: cPickle test failure on release26-maint branch
Type: behavior Stage: resolved
Components: Library (Lib), Tests Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: alexandre.vassalotti, ezio.melotti, flox
Priority: normal Keywords: 26backport

Created on 2009-11-24 18:05 by alexandre.vassalotti, last changed 2009-12-18 20:25 by ezio.melotti. This issue is now closed.

Messages (3)
msg95692 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2009-11-24 18:05
I get the following test failure on the release26-maint branch:

./python Lib/test/test_cpickle.py
[...]
======================================================================
ERROR: test_issue2702 (__main__.cPickleDeepRecursive)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "Lib/test/test_cpickle.py", line 110, in test_issue2702
    self.assertRaises(RuntimeError, cPickle.dumps, n)
  File "/home/alex/src/python.org/release26-maint/Lib/unittest.py", line
336, in failUnlessRaises
    callableObj(*args, **kwargs)
  File "/home/alex/src/python.org/release26-maint/Lib/copy_reg.py", line
74, in _reduce_ex
    getstate = self.__getstate__
AttributeError: 'Node' object has no attribute '__getstate__'
msg95725 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2009-11-25 20:40
I experienced same failure (trunk is OK).

It seems that r70531 needs backporting.
msg96584 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2009-12-18 20:25
Backported in r76877, thanks for the report.
History
Date User Action Args
2009-12-18 20:25:13ezio.melottisetstatus: open -> closed

assignee: ezio.melotti

keywords: + 26backport
nosy: + ezio.melotti
messages: + msg96584
resolution: fixed
stage: needs patch -> resolved
2009-11-25 20:40:15floxsetnosy: + flox
messages: + msg95725
2009-11-24 18:05:39alexandre.vassalotticreate